/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package benten.twa.cat.status;

import java.io.File;

import benten.ui.UiStatus;

/**
 * 状態をダイアログとハンドラーで共用するためのクラス。
 */
public class BentenApplyExactMatchStatus extends UiStatus {
    /**
     * フィールド: [tmxDir]。
     */
    private File fTmxDir;

    /**
     * フィールド: [xliffDir]。
     */
    private File fXliffDir;

    /**
     * フィールド: [ignoreWhitespaceTmReference]。
     */
    private boolean fIgnoreWhitespaceTmReference;

    /**
     * フィールド [tmxDir] の値を設定します。
     *
     * @param argTmxDir フィールド[tmxDir]に設定する値。
     */
    public void setTmxDir(final File argTmxDir) {
        fTmxDir = argTmxDir;
    }

    /**
     * フィールド [tmxDir] の値を取得します。
     *
     * @return フィールド[tmxDir]から取得した値。
     */
    public File getTmxDir() {
        return fTmxDir;
    }

    /**
     * フィールド [xliffDir] の値を設定します。
     *
     * @param argXliffDir フィールド[xliffDir]に設定する値。
     */
    public void setXliffDir(final File argXliffDir) {
        fXliffDir = argXliffDir;
    }

    /**
     * フィールド [xliffDir] の値を取得します。
     *
     * @return フィールド[xliffDir]から取得した値。
     */
    public File getXliffDir() {
        return fXliffDir;
    }

    /**
     * フィールド [ignoreWhitespaceTmReference] の値を設定します。
     *
     * @param argIgnoreWhitespaceTmReference フィールド[ignoreWhitespaceTmReference]に設定する値。
     */
    public void setIgnoreWhitespaceTmReference(final boolean argIgnoreWhitespaceTmReference) {
        fIgnoreWhitespaceTmReference = argIgnoreWhitespaceTmReference;
    }

    /**
     * フィールド [ignoreWhitespaceTmReference] の値を取得します。
     *
     * @return フィールド[ignoreWhitespaceTmReference]から取得した値。
     */
    public boolean getIgnoreWhitespaceTmReference() {
        return fIgnoreWhitespaceTmReference;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("benten.twa.cat.status.BentenApplyExactMatchStatus[");
        buf.append("tmxDir=" + fTmxDir);
        buf.append(",xliffDir=" + fXliffDir);
        buf.append(",ignoreWhitespaceTmReference=" + fIgnoreWhitespaceTmReference);
        buf.append("]");
        return buf.toString();
    }
}
